Uses of Class
davmail.http.request.PostRequest
Packages that use PostRequest
-
Uses of PostRequest in davmail.exchange.auth
Methods in davmail.exchange.auth that return PostRequestModifier and TypeMethodDescriptionprotected PostRequestExchangeFormAuthenticator.buildLogonMethod(HttpClientAdapter httpClient, ResponseWrapper responseWrapper) Try to find the logon method path from the logon form body.Methods in davmail.exchange.auth with parameters of type PostRequestModifier and TypeMethodDescriptionprotected ResponseWrapperExchangeFormAuthenticator.postLogonMethod(HttpClientAdapter httpClient, PostRequest logonMethod, String password) -
Uses of PostRequest in davmail.http
Methods in davmail.http with parameters of type PostRequestModifier and TypeMethodDescriptionHttpClientAdapter.executeFollowRedirect(PostRequest request) HttpClientAdapter.executePostRequest(PostRequest postRequest) Execute post request and return response body as string.